﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace gatewayGK.POSGk
{
    /// <summary>
    /// Registro para agregar un cliente a la venta
    /// </summary>
    record AddCustomerReq
    {
        [JsonPropertyName("identifier")] public string Identifier { get; set; } = "";
        [JsonPropertyName("customerGroupId")] public string CustomerGroupId { get; set; } = "";
        [JsonPropertyName("customerCardType")] public string CustomerCardType { get; set; } = "";
        [JsonPropertyName("customerCardNumber")] public string CustomerCardNumber { get; set; } = "";
        [JsonPropertyName("searchDatabase")] public bool SearchDatabase { get; set; } = true;
        
    }
}
